summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mathew Holleran <mathew.holleran@gmail.com>2017-01-02 07:51:32 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-02 07:51:32 +0700
commit4de1eaf0e996e588318b053ce030e324128699a2 (patch)
tree9a462a930309d7aa35add666b0bab1d9986f1f19
parent2413b4d5746fe4f55d646ea0cee7ce8cd8b30d4c (diff)
downloadslackbuilds-4de1eaf0e996e588318b053ce030e324128699a2.tar.gz
slackbuilds-4de1eaf0e996e588318b053ce030e324128699a2.tar.xz
multimedia/ivtv-utils: Added (Utilities for Hauppauge PVR).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/ivtv-utils/README9
-rw-r--r--multimedia/ivtv-utils/ivtv-utils.SlackBuild107
-rw-r--r--multimedia/ivtv-utils/ivtv-utils.info12
-rw-r--r--multimedia/ivtv-utils/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/multimedia/ivtv-utils/README b/multimedia/ivtv-utils/README
new file mode 100644
index 0000000000..f151532b6b
--- /dev/null
+++ b/multimedia/ivtv-utils/README
@@ -0,0 +1,9 @@
+Userspace utilities and firmware for Hauppauge PVR cards.
+
+Note that the header files ivtv.h and ivtvfb.h included in the source
+tarball are already provided by the Linux kernel headers, so the included
+build script removes these.
+
+Similarly, two binaries v4l2-ctl and ivtv-ctl are provided by v4l-utils
+(assuming you did a full Slackware installation) and therefore the in-
+cluded build script removes those too.
diff --git a/multimedia/ivtv-utils/ivtv-utils.SlackBuild b/multimedia/ivtv-utils/ivtv-utils.SlackBuild
new file mode 100644
index 0000000000..8ba5f083ed
--- /dev/null
+++ b/multimedia/ivtv-utils/ivtv-utils.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for ivtv-utils.
+
+# Copyright 2017 Mathew Holleran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ivtv-utils
+VERSION=${VERSION:-1.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.orig.tar.gz
+cd ${PRGNAM}-$VERSION
+tar xvf $CWD/ivtv-firmware-20080701.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Use SLKCFLAGS
+sed -i "/^C.*.*FLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+make
+
+make install DESTDIR="$PKG" PREFIX=/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+for file in \
+ v4l-cx2341x-dec.fw \
+ v4l-cx2341x-enc.fw \
+ v4l-pvrusb2-24xxx-01.fw \
+ v4l-pvrusb2-29xxx-01.fw \
+ v4l-cx2341x-init.mpg; do
+ install -D -m644 $file $PKG/lib/firmware/$file
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING* ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+
+# N.B. Remove stuff that clobbers existing files - thanks Arch Linux:
+# Already provided by kernel headers
+rm -rf $PKG/usr/include
+# This is provided by v4l-utils
+rm -f $PKG/usr/bin/v4l2-ctl
+rm -f $PKG/usr/bin/ivtv-ctl
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/ivtv-utils/ivtv-utils.info b/multimedia/ivtv-utils/ivtv-utils.info
new file mode 100644
index 0000000000..62351a8fe6
--- /dev/null
+++ b/multimedia/ivtv-utils/ivtv-utils.info
@@ -0,0 +1,12 @@
+PRGNAM="ivtv-utils"
+VERSION="1.4.1"
+HOMEPAGE="http://ivtvdriver.org/"
+DOWNLOAD="http://http.debian.net/debian/pool/contrib/i/ivtv-utils/ivtv-utils_1.4.1.orig.tar.gz \
+ http://pkgs.fedoraproject.org/repo/pkgs/ivtv-firmware/ivtv-firmware-20080701.tar.gz/b9a871f1c569025be9c48a77b3515faf/ivtv-firmware-20080701.tar.gz"
+MD5SUM="3a4219d698262ca2b28e41f0f547b0a2 \
+ b9a871f1c569025be9c48a77b3515faf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mathew Holleran"
+EMAIL="mathew.holleran@gmail.com"
diff --git a/multimedia/ivtv-utils/slack-desc b/multimedia/ivtv-utils/slack-desc
new file mode 100644
index 0000000000..66a458f02e
--- /dev/null
+++ b/multimedia/ivtv-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ivtv-utils: ivtv-utils (Userspace utilities for Hauppauge PVR cards)
+ivtv-utils:
+ivtv-utils: Userspace utilities and firmware for Hauppauge PVR cards.
+ivtv-utils:
+ivtv-utils: Note that the project homepage no longer exists.
+ivtv-utils:
+ivtv-utils: http://debian.mirror.neology.co.za/debian/pool/contrib/i/ivtv-utils/
+ivtv-utils: http://pkgs.fedoraproject.org/repo/pkgs/ivtv-firmware/
+ivtv-utils:
+ivtv-utils: Requires v4l-utils if you did not do a full Slackware installation.
+ivtv-utils: